export type RodzajFrezowania = "Walcowo Czołowe" | "Walcowo Boczne";
export type RodzajObrobki = "Zgrubna" | "Wykańczająca";
export type Material = "Stal nierdzewna" | "Stal" | "Żeliwo" | "Miedź" | "Aluminium";
export interface Tool {
	name: string;
	plate: string;
	ilosc_zebow: number;
	rodzajFrezowania: number;
	rodzajObrobki: number;
	material: number;
	chropowatosc: [number, number];
	tolerancja: [number, number];
	szerokoscSkrawania: [number, number];
	glebokoscSkrawania: [number, number];
}
interface Database {
	name: string;
	version: string;
	tools: Tool[];
}

export const toolsDatabase: Database = {
	name: "Baza narzędzi obróbki skrawaniem",
	version: "1.0",
	tools: [
		{
			name: "Coromill 390",
			plate: "M-MM 1040",
			ilosc_zebow: 3,
			rodzajFrezowania: 1,
			rodzajObrobki: 0,
			material: 1,
			chropowatosc: [0.5, 2],
			tolerancja: [0.5, 2],
			szerokoscSkrawania: [15, 25],
			glebokoscSkrawania: [3, 8],
		},
		{
			name: "CoroMill 245",
			plate: "R245-12T3E1 6190",
			ilosc_zebow: 3,
			rodzajFrezowania: 0,
			rodzajObrobki: 1,
			material: 2,
			chropowatosc: [0.1, 5],
			tolerancja: [0.1, 5],
			szerokoscSkrawania: [32, 40],
			glebokoscSkrawania: [2, 6],
		},
		{
			name: "CoroMill 331",
			plate: "R331.1A-04 35 15H-WL1040",
			ilosc_zebow: 4,
			rodzajFrezowania: 2,
			rodzajObrobki: 1,
			material: 1,
			chropowatosc: [0.1, 5],
			tolerancja: [0.1, 5],
			szerokoscSkrawania: [40, 40],
			glebokoscSkrawania: [2, 10],
		},
	],
};
